# Module 1

## Du fichier texte au langage de balisage léger

Editeur de texte $\neq$ **traitement de texte**

Les logiciels de traitement de texte n'utilisent pas au format texte

Editeur de texte : encode un format UTF-8, ce qui signifie qu'on peut toujours les lire des années plus tard.

Mais :
pas de mise en avant des mots
pas d'hyperlien

-> langage de balisage comme html

Les langages de balisage fournissent un meilleur confort de lecture

Langage de balisage léger :
utilise une syntaxe simple
facile à lire dans sa forme non formatée

Exemple : Markdown
la traduction en html se fait au moment où le texte est entré

Autres exemples : Wikidoc, RestructuredText

Les langages de balisage léger vont donc permettre de
- travailler avec des fichiers textes
- écrire rapidement des notes, avec n'importe quel éditeur, grâce à leur syntaxe simplifiée
- organiser les notes en les structurant

[Cours de Jean-Daniel Bonjour sur les langages Markdown et Pandoc](https://enacit.epfl.ch/cours/markdown-pandoc/)

Pandoc est intégré à Rstudio  

Extension de fichiers markdown : .md
 
[Caractères UTF-8](https://www.utf8-chartable.de/) 

TEI : Text Encoding Initiative
défini comme : 
"Il s'agit d'un balisage s'appuyant sur le langage XML et qui se présente comme un dictionnaire de balises couvrant à peu près toutes les situations" 

La TEI permet d'introduire des informations allant au delà des éléments formels 
Elle repose sur le métalangage XML

## Pérénnité et évolutivité des notes avec la gestion de version (Gitlab)

Evolutivité : capacité à faire évoluer nos notes 
Avec traitement de texte comme LibreOffice : on peut suivre les modifications. 
Mais cette solution a des limites. 

DokuWiki permet de suivre les dernières modifications effectuées
Mais la sauvegarde est à la charge de l'utilisateur, et pas par DocuWiki
Une seule page à la fois est modifiable 

Git : permet de corriger plusieurs fichiers simultanément
Solution plus difficile à mettre en oeuvre, avec une sauvegarde centralisée pour tous les membres du projet 

_Partie parcourue, mais penser à revenir un de ces quatre sur les 3 vidéos qui présentent Git_

## Les étiquettes et logiciels d'indexations pour s'y retrouver

Avec beaucoup de notes : comment s'y retrouver ? 
C'est là qu'intervient l'étiquettage et les logiciels d'indexation

"Nous devrions essayer d'ordonner ce que nous avons déjà" (Leibniz)

Comment indexer des fichiers numériques, qui sont de formats différents? 

-> DocFetcher : disponible sur toutes les plateformes classiques
Facile d'emploi. 

Problème : abondance de résultats
Comment trouver une information directement pertinente ? 

Ceci est possible en ajoutant des étiquettes ou des mots-clés aux fichiers texte 
Exemple en Markdown, en utilisant les commentaires. 

Même fonctionnalité sur des fichiers non textes ? 

Pour les fichiers images : ils contiennent aussi des métadonnées
ExifTool : utilitaire pour regarder et modifier les métadonnées d'une image : on peut ajouter un commentaire, comme précédemment. 


_Idem que plus haut, partie parcourue mais il faut que j'aille voir plus dans les détails DocFetcher et ExifTool_

